Public Member Functions | Friends | List of all members
clan::AudioObject Class Reference

`#include <audio_object.h>`

## Public Member Functions
| AudioObject ()
| AudioObject (AudioWorld &world)
| AudioObject (AudioWorld &world, AudioDefinition definition)
float | get_attenuation_begin () const
float | get_attenuation_end () const
Vec3f | get_position () const
float | get_volume () const
bool | is_ambience () const
bool | is_looping () const
bool | is_null () const
bool | is_playing () const
void | play ()
void | set_ambience (bool ambience)
void | set_attenuation_begin (float distance)
void | set_attenuation_end (float distance)
void | set_looping (bool loop)
void | set_position (const Vec3f &position)
void | set_sound (const std::string &id)
void | set_sound (const SoundBuffer &buffer)
void | set_volume (float volume)
void | stop ()

## Friends
class | AudioWorld
class | AudioWorld_Impl

## Constructor & Destructor Documentation

clan::AudioObject::AudioObject | ( |  | ) |

clan::AudioObject::AudioObject | ( | AudioWorld & | world | ) |

clan::AudioObject::AudioObject | ( | AudioWorld & | world,
|  | AudioDefinition | definition
| ) |  |

## Member Function Documentation

float clan::AudioObject::get_attenuation_begin | ( |  | ) | const

float clan::AudioObject::get_attenuation_end | ( |  | ) | const

Vec3f clan::AudioObject::get_position | ( |  | ) | const

float clan::AudioObject::get_volume | ( |  | ) | const

bool clan::AudioObject::is_ambience | ( |  | ) | const

bool clan::AudioObject::is_looping | ( |  | ) | const

bool clan::AudioObject::is_null | ( |  | ) | const
| inline

bool clan::AudioObject::is_playing | ( |  | ) | const

void clan::AudioObject::play | ( |  | ) |

void clan::AudioObject::set_ambience | ( | bool | ambience | ) |

void clan::AudioObject::set_attenuation_begin | ( | float | distance | ) |

void clan::AudioObject::set_attenuation_end | ( | float | distance | ) |

void clan::AudioObject::set_looping | ( | bool | loop | ) |

void clan::AudioObject::set_position | ( | const Vec3f & | position | ) |

void clan::AudioObject::set_sound | ( | const std::string & | id | ) |

void clan::AudioObject::set_sound | ( | const SoundBuffer & | buffer | ) |

void clan::AudioObject::set_volume | ( | float | volume | ) |

void clan::AudioObject::stop | ( |  | ) |

## Friends And Related Function Documentation

friend class AudioWorld
| friend

friend class AudioWorld_Impl
| friend

The documentation for this class was generated from the following file:

- audio_object.h